/* https://stackoverflow.com/questions/9547291/how-to-remove-margin-space-around-body-or-clear-default-css-styles */
*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    border: 0;
    /* removes boxes around tab-focused thingies */
/*     outline: 0; */
    box-sizing: border-box;
}

/* https://gist.github.com/JoeyBurzynski/617fb6201335779f8424ad9528b72c41 */
html {
    /* 1em padding left and right */
    padding: 0 1em 0 1em;
    /* +2 to account for padding */
    max-width: calc(70ch + 2em);
    /* center content */
    margin: auto;
    line-height: 1.5;
    font-size: 1.25em;
/*     --tableheader-grey: #F7F7F7; */
/*     --highlight-grey: #EBEBEB; */
/*     --underline-grey: #808080; */
/*     --outline-color: #000000; */
/*     --background-grey: #828382; */
/*     --background-grey: #FAFAFA; */
    --background-grey: #CCCCCC;
    --text-background: #FFFFFF;
    --font-color: #1d1d1d;
}
h1,h2,h3,h4,h5,h6 {
    margin: 1em 0 0 0;
    word-wrap: break-word;
}
p,ul,ol {
    margin: 0.5em 0 0 0;
    color: var(--font-color);
    font-family: sans-serif;
    word-wrap: break-word;
}

table {
    width: 100%;
}
table, th, td {
    border: 1px solid var(--font-color);
    border-collapse: collapse;
}
td {
    padding-left: 0.2em;
    padding-right: 0.2em;
}

.cimg {
    max-width: 100%;
    max-height: 90vh;
    cursor: pointer;
}

/* https://hyper.lol/projects/ */
/*.rainbow_hr {
    border-bottom: 0.15em solid;
    border-image: linear-gradient( to right, red, orange, yellow, green, blue, indigo, violet ) 1;
    border-color: var(--underline-grey);
}*/

/* https://codeberg.org */
.symbol-of-tolerance {
    margin-top: 0.2em;
/*     margin-bottom: 0.5em; */
    height: .25em;
    background: linear-gradient(90deg,#ea392f 0% 9.091%,#f28917 9.091% 18.182%,#eecb12 18.182% 27.273%,#78b82a 27.273% 36.364%,#4375ca 36.364% 45.455%,#c346e3 45.455% 54.545%,#7bcce5 54.545% 63.636%,#eaeaea 63.636% 72.727%,#f4aec8 72.727% 81.818%,#000 81.818% 90.909%,#945516 90.909% 100%);
    background-color: rgba(0, 0, 0, 0);
    background-position-x: 0%;
    background-position-y: 0%;
    background-repeat: repeat;
    background-attachment: scroll;
    background-image: linear-gradient(90deg, rgb(234, 57, 47) 0%, rgb(234, 57, 47) 9.091%, rgb(242, 137, 23) 9.091%, rgb(242, 137, 23) 18.182%, rgb(238, 203, 18) 18.182%, rgb(238, 203, 18) 27.273%, rgb(120, 184, 42) 27.273%, rgb(120, 184, 42) 36.364%, rgb(67, 117, 202) 36.364%, rgb(67, 117, 202) 45.455%, rgb(195, 70, 227) 45.455%, rgb(195, 70, 227) 54.545%, rgb(123, 204, 229) 54.545%, rgb(123, 204, 229) 63.636%, rgb(234, 234, 234) 63.636%, rgb(234, 234, 234) 72.727%, rgb(244, 174, 200) 72.727%, rgb(244, 174, 200) 81.818%, rgb(0, 0, 0) 81.818%, rgb(0, 0, 0) 90.909%, rgb(148, 85, 22) 90.909%, rgb(148, 85, 22) 100%);
    background-size: auto;
    background-origin: padding-box;
    background-clip: border-box;
}

body {
    background-color: var(--background-grey);
}

.main_content {
    background-color: var(--text-background);
    /* makes white background not touching the elements */
    padding: 0 1em 0 1em;
}

/* https://matthewjamestaylor.com/bottom-footer */
#header_body_footer_grid {
    display:grid;
    grid-template-rows:auto 1fr auto;
    grid-template-columns:100%;
    /* fallback height */
    min-height:100vh;
    /* new small viewport height for mobile browsers */
    min-height:100svh;
}

.grid_obj {
    display:grid;
    grid-template-columns:auto auto;
}

#toes {
    /* 1em distance to content above */
    margin: 1em 0 0 0;
}

#image_grid {
    margin: 1em 0 0 0;
    display: grid;
    grid-template-columns: auto auto auto;
    width: 100%;
}

#image_grid > div {
    display: flex;
    justify-content: center;
    align-items: center;
}

#image_grid > div > a > img {
    width: 90%;
    margin: 0.1em;
}
